
ctools - Bug #1526

sensitivity calculation in cssens

09/16/2015 12:06 PM - Gerard Lucie

Status: Closed Start date: 09/16/2015

Priority: Normal Due date:  

Assigned To: Gerard Lucie % Done: 100%

Category:  Estimated time: 0.10 hour

Target version: 1.0.0   

Description

In the conversion from flux in cm-2s-1MeV-1 to erg cm-2 s-1 the division by erg_mean*erg_mean has to be replaces by

erg_mean*e_mean

History

#1 - 09/18/2015 02:02 PM - Gerard Lucie

related branch: 1526-sensitivity_tev2erg_conversion

#2 - 09/18/2015 02:51 PM - Gerard Lucie

- Status changed from New to Pull request

- % Done changed from 0 to 100

#3 - 09/21/2015 06:28 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- Target version set to 1.0.0

I got the code from the branch but it had some additional changes (print statements, which specifically were not compliant to Python 3.x, calling of the

simulation code twice, conversion of energy into log energy values). I reverted these changes so that the only change should now concern the energy

correction.

Merged into devel.

#4 - 09/24/2015 02:48 PM - Knödlseder Jürgen

- File sensitivity.png added

There was another problem in cssens related to an internal quality check which led to a looping until the maximum number of iterations were

exceeded. I removed now the quality check.

The following command sequence gave the output shown below (produced using the show_sensitivity.py script attached):

$ cssens debug=yes chatter=3

Calibration database [prod2]

Instrument response function [South_50h]

Effective exposure time (s) [180000.0]

Radius of ROI (deg) [5.0]

Source model [$CTOOLS/share/models/crab.xml]

Source name [Crab]

Lower energy limit (TeV) [0.020]

Upper energy limit (TeV) [200.0] 199.0

Number of energy bins for differential sensitivity computation [21]
#5 - 09/24/2015 02:49 PM - Knödlseder Jürgen

- File show_sensitivity.py added

Files

sensitivity.png 48 KB 09/24/2015 Knödlseder Jürgen

show_sensitivity.py 8.16 KB 09/24/2015 Knödlseder Jürgen
